Beyond Inventor Wizard... The Community!

Autodesk Inventor en AutoCAD Forum

REV A

Deze macro laat toe om in een actieve schets,

alle tekst van bematingen in het midden te plaatsen:

 

Suggesties zijn altijd welkom. Beide icoontjes large & small zijn in bijlage toegevoegd.

Heb je er zelf mooie, wie weet kunnen we deze dan via IW verdelen.

(Zie technical paper icoontjes toevoegen aan inventor)

 

Public Sub CenterSketchDim()

'Indien er een fout optreed

On Error GoTo errorhandler

  'Referentie naar het actieve partdocument
Dim oDoc As Document
Set oDoc = ThisApplication.ActiveDocument

' Check of er wel degelijk een partdocument geopend is
If oDoc.DocumentType <> kPartDocumentObject Then
    MsgBox "Deze Macro werkt enkel op een part (.ipt)"
    End
End If


' Referentie naar de actieve schets
Dim oSketch As PlanarSketch
Set oSketch = ThisApplication.ActiveEditObject

 

 ' Referentie naar tijdelijke, virtuele geometry

Dim oTransGeom As TransientGeometry
Set oTransGeom = ThisApplication.TransientGeometry

' Referentie naar de bematingen

Dim oSketchDim As DimensionConstraint

 

'loopen door alle bematingen in de schets
For Each oSketchDim In oSketch.DimensionConstraints

 

' Hier plaatsen we de tekst in het midden

oSketchDim.TextPoint = oTransGeom.CreatePoint2d(oSketchDim.DimensionCenterPoint.X, oSketchDim.DimensionCenterPoint.Y)


'volgende bemating
Next

 

'Einde sub
Exit Sub

 

'Foutenafhandeling
errorhandler:
'Geen part open
If Err.Number = 13 Then MsgBox "Er is geen Sketch actief"

 

'Geen document open
If Err.Number = 91 Then MsgBox "Er is geen document open"

End Sub

Aantal maal bekeken: 627

Bijlagen:

Hierop reageren

Berichten in deze discussie

Hey Fréderic,

 

Zonet deze even getest en heb al direct een opmerking :)

Wanneer je in part omgeving vertoeft en dan de macro start dan krijg ik de melding "er is geen part open", dit zou eerder moeten zijn "er is geen sketch actief"

In het andere geval zoiets als dit wanneer je een assy zou openen?:

If oDoc.DocumentType <> kPartDocumentObject Then         
MsgBox "Deze Macro werkt enkel op een part (.ipt) (op sketch niveau)"

 

 

De code is gewijzigd en werkt nu zoals jij het voorstelt.

Perfect!

Is het makkelijk uit te breiden ook naar 3D Sketch omgeving?

Aangezien ik regelmatig 3D piping teken met 3D sketches en dit zit dan allemaal in één sketch natuurlijk, wat deze macro ideaal daarvoor zou maken.

Ik bekijk dit wel eens, ik zie niet echt een probleem hierin.

Ik zou u aanraden om toch maar de routes te gebruiken voor 3D piping :-)

Ya, I know...misschien ooit als men hier het nut van in ziet!

Ik hoor het wel!

 

Op bovenstaande code niet direct nog een opmerking, maar dat zal de tijd wel uitwijzen!

RSS

Interessante links

Word Fan!

Inventor Wizard Cartoons

Video's

  • Video's toevoegen
  • Alles weergeven

© 2021   Gemaakt door Stefaan Boel.   Verzorgd door

Banners  |  Een probleem rapporteren?  |  Algemene voorwaarden